#
# watchdog.py - Database model for Oraculum WatchDog
#
# Copyright 2020, Red Hat, Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Authors:
#   Frantisek Zatloukal <fzatlouk@redhat.com>

from oraculum import db

from datetime import datetime

class WatchDogData(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    what = db.Column(db.Text)
    planned_at = db.Column(db.DateTime)
    started_at = db.Column(db.DateTime)
    ended_at = db.Column(db.DateTime)
    failed = db.Column(db.Boolean)
    message = db.Column(db.Text)

    def __init__(self, what, planned_at=None, started_at=None, ended_at=None, failed=None, message=None):
        self.what = what
        self.planned_at = planned_at
        self.started_at = started_at
        self.ended_at = ended_at
        self.failed = failed
        self.message = message

class WatchDogStartPoint(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    last_seen_id = db.Column(db.Integer)

    def __init__(self, last_seen_id):
        self.last_seen_id = last_seen_id
